Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface BusinessQueryManager

All Superinterfaces:
  QueryManager

public interface BusinessQueryManager
extends QueryManager

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`BulkResponse` | `findAssociations(Collection findQualifiers, String sourceObjectId, String targetObjectId, Collection associationTypes)`
`BulkResponse` | `findCallerAssociations(Collection findQualifiers, Boolean confirmedByCaller, Boolean confirmedByOtherParty, Collection associationTypes)`
`ClassificationScheme` | `findClassificationSchemeByName(Collection findQualifiers, String namePattern)`
`BulkResponse` | `findClassificationSchemes(Collection findQualifiers, Collection namePatterns, Collection classifications, Collection externalLinks)`
`Concept` | `findConceptByPath(String path)`
`BulkResponse` | `findConcepts(Collection findQualifiers, Collection namePatterns, Collection classifications, Collection externalIdentifiers, Collection externalLinks)`
`BulkResponse` | `findOrganizations(Collection findQualifiers, Collection namePatterns, Collection classifications, Collection specifications, Collection externalIdentifiers, Collection externalLinks)`
`BulkResponse` | `findRegistryPackages(Collection findQualifiers, Collection namePatterns, Collection classifications, Collection externalLinks)`
`BulkResponse` | `findServiceBindings(Key serviceKey, Collection findQualifiers, Collection classifications, Collection specifications)`
`BulkResponse` | `findServices(Key orgKey, Collection findQualifiers, Collection namePatterns, Collection classifications, Collection specifications)`

Methods inherited from interface javax.xml.registry.QueryManager
`getRegistryObject, getRegistryObject, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryService`

Method Detail

### findAssociations

    public BulkResponse findAssociations(Collection findQualifiers,
                                         String sourceObjectId,
                                         String targetObjectId,
                                         Collection associationTypes)
                                  throws JAXRException

  Throws:
    `JAXRException`

### findCallerAssociations

    public BulkResponse findCallerAssociations(Collection findQualifiers,
                                               Boolean confirmedByCaller,
                                               Boolean confirmedByOtherParty,
                                               Collection associationTypes)
                                        throws JAXRException

  Throws:
    `JAXRException`

### findClassificationSchemeByName

    public ClassificationScheme findClassificationSchemeByName(Collection findQualifiers,
                                                               String namePattern)
                                                        throws JAXRException

  Throws:
    `JAXRException`

### findClassificationSchemes

    public BulkResponse findClassificationSchemes(Collection findQualifiers,
                                                  Collection namePatterns,
                                                  Collection classifications,
                                                  Collection externalLinks)
                                           throws JAXRException

  Throws:
    `JAXRException`

### findConceptByPath

    public Concept findConceptByPath(String path)
                              throws JAXRException

  Throws:
    `JAXRException`

### findConcepts

    public BulkResponse findConcepts(Collection findQualifiers,
                                     Collection namePatterns,
                                     Collection classifications,
                                     Collection externalIdentifiers,
                                     Collection externalLinks)
                              throws JAXRException

  Throws:
    `JAXRException`

### findOrganizations

    public BulkResponse findOrganizations(Collection findQualifiers,
                                          Collection namePatterns,
                                          Collection classifications,
                                          Collection specifications,
                                          Collection externalIdentifiers,
                                          Collection externalLinks)
                                   throws JAXRException

  Throws:
    `JAXRException`

### findRegistryPackages

    public BulkResponse findRegistryPackages(Collection findQualifiers,
                                             Collection namePatterns,
                                             Collection classifications,
                                             Collection externalLinks)
                                      throws JAXRException

  Throws:
    `JAXRException`

### findServiceBindings

    public BulkResponse findServiceBindings(Key serviceKey,
                                            Collection findQualifiers,
                                            Collection classifications,
                                            Collection specifications)
                                     throws JAXRException

  Throws:
    `JAXRException`

### findServices

    public BulkResponse findServices(Key orgKey,
                                     Collection findQualifiers,
                                     Collection namePatterns,
                                     Collection classifications,
                                     Collection specifications)
                              throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.